#!/bin/bash

export stageDir=/
export sandbox=/
export version="0.0.0"
export age="0.0"
export prefix=/


export option_configure_flags=""

if [[ "$1" == "debug" ]];then
	option_configure_flags=" --enable-debug"
fi

#init
mkdir -p src/autogen build; 
aclocal -I m4-EPEL/;
 libtoolize --force; 
autoheader; 
automake --foreign --add-missing --copy; 
autoconf


#configure
cd build; 
cd build; ../configure --prefix=/ --with-version=${version} --with-release=${age} --with-gfal-location=/ --with-voms-location=/ --with-emi $option_configure_flags 
cd ..

#compile
make -C build all


