.\" @(#)$RCSfile: lcg-replica-manager.man,v $ $Revision: 1.4 $ $Date: 2006/01/30 12:30:23 $ CERN James Casey
.\" Copyright (C) 2005 by CERN
.\" All rights reserved
.\"
.TH LCG-REPLICA-MANAGER 1 "$Date: 2006/01/30 12:30:23 $" LCG_UTIL "User Commands"
.SH NAME
lcg-replica-manager \- a command line replacement for the
edg-replica-manager program (edg-rm)
.SH SYNOPSIS
.B lcg-replica-manager
.BI [options]
.BI command
.B [command-options]
.SH DESCRIPTION
.B lcg-replica-manager
is a replacement for the EDG Replica Manager.  All commands supported by
lcg_utils are included.  The command lines options accepted are those of the
edg-rm script.
.SH NOTE
The environment variable LCG_GFAL_INFOSYS must point to the BDII.  
To use the RLS as catalog instead of the LFC, the environment variable
LCG_CATALOG_TYPE must explicitely be set to "edg". By default, it is set to "lfc".

In order to be compatible with edg-rm, if no no destination SE is specified
for "cr" or "rep", we use the environment variable VO_<VO>_DEFAULT_SE, which
is normally set on the Worker Node.
.SH EXIT STATUS
This program returns 0 if the operation was successful or >0 if the operation
failed.
.SH SEE ALSO
.BR lcg_utils(3) ,
.B edg-rm(1),
.B gfal(3)
